Extending Qt Creator Manual | InvokerBase

Extending Qt Creator Manual 4.5.2

# InvokerBase Class

(ExtensionSystem::InvokerBase)

- List of all members, including inherited members

## Public Functions

| InvokerBase()
| ~InvokerBase()
void | addArgument(const T &t)
void | invoke(QObject *target, const char *slot)
void | setConnectionType(Qt::ConnectionType connectionType)
void | setReturnValue(T &t)
bool | wasSuccessful() const

## Member Function Documentation

### InvokerBase::InvokerBase()

Default constructs an instance of InvokerBase.

### InvokerBase::~InvokerBase()

Destroys the instance of InvokerBase.

### void InvokerBase::addArgument(const T &t)

### void InvokerBase::invoke(QObject *target, const char *slot)

### void InvokerBase::setConnectionType(Qt::ConnectionType connectionType)

### void InvokerBase::setReturnValue(T &t)

### bool InvokerBase::wasSuccessful() const